/* Couleurs de PLUSHIE */

:root {
    --bg: #020617;
    --text: #e2e8f0;
    --cyan: #38bdf8;
    --green: #86efac;
    --red: #f87171;
    --orange: #f57a11;
    --gray: #94a3b8;
}
html {
    scroll-behavior: smooth;
}
/* STRUCTURE */
.glow-cyan {
    color: #38bdf8;
    text-shadow: 0 0 20px #38bdf8;
    font-size: 2em;
}
.cyan {
    color: var(--cyan);
}


/* EMERGENCE */

.green {
    color: var(--green);
}


/* ANOMALIE */

.red {
    color: var(--red);
}


/* ACCENT */

.orange {
    color: var(--orange);
}


/* SECONDAIRE */

.gray {
    color: var(--gray);
}


/* VERSIONS EN GRAS */

.strong {
    font-weight: bold;
    color: orange;
}

/* GLOW (effet PLUSHIE ) */

.glow-cyan {
    color: var(--cyan);
    text-shadow: 0 0 10px rgba(56,189,248,0.6);
}

.glow-green {
    color: var(--green);
    text-shadow: 0 0 10px rgba(134,239,172,0.6);
}

.glow-red {
    color: var(--red);
    text-shadow: 0 0 10px rgba(248,113,113,0.6);
}

.glow-orange {
    color: var(--orange);
    text-shadow: 0 0 10px rgba(249,115,22,0.6);
}


a {
    color: #38bdf8; /* bleu clair */
    text-decoration: none;
}

    a:visited {
        color: #38bdf8; /* même couleur pour éviter le violet */
    }

    a:hover {
        color: #7dd3fc; /* un peu plus clair au survol */
        text-decoration: underline;
    }

.active-profile {
    background: #38bdf8;
    color: #020617;
    font-weight: bold;
    box-shadow: 0 0 12px rgba(56,189,248,0.5);
}

.barredeliens {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    text-align: right;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
    background: var(--bg);
    color: var(--text);
}

.boutonsprofil {
    display: flex;
    justify-content: center;
    padding: 0px 0px;
    margin-right: 0px;
    gap: 00px;
    background: #1e2940;
    background: linear-gradient( 145deg, #2b3150, #1a1f33 );
    border-radius: 8px;
}

    .boutonsprofil button {
        margin: 10px;
        border: 1px solid #6fd3ff;
        border-radius: 8px;
        background: #1a1a1a;
        font-size: 1rem;
        color: #38bdf8;
        cursor: pointer;
        text-align: center;
        box-shadow: 0 4px 14px rgba(0,0,0,0.45);
        transition: transform 0.15s ease, box-shadow 0.15s ease, border-color 0.15s ease;
    }

        .boutonsprofil button:hover {
            color: #d7f1ff;
            border-color: var(--cyan);
            box-shadow: 0 0 10px rgba(80,180,255,0.35), 0 2px 8px rgba(0,0,0,0.5);
            transform: translateY(-2px);
            background: #38bdf8;
            border-bottom: 3px solid #6fd3ff;
        }
        .boutonsprofil button.active-profile {
            background: linear-gradient( 145deg, #38bdf8, #30b0f0);
            color: #ffffff;
            border-color: var(--cyan);
            box-shadow: inset 0 2px 5px rgba(0,0,0,0.5), 0 0 12px rgba(120,200,255,0.45);
            transform: translateY(-2px);
            border-bottom: 3px solid #6fd3ff;
        }

button {
    background: linear-gradient( 145deg, #2b3150, #1a1f33 );
    color: #eef2ff;
    border: 1px solid #5ea2ff;
    border-radius: 10px;
    font-size: 14px;
    cursor: pointer;
    box-shadow: 0 4px 14px rgba(0,0,0,0.45);
    transition: transform 0.15s ease, box-shadow 0.15s ease, border-color 0.15s ease;
}

#Choix de présentation {
    text-align: center;
    font-size: 1.2em;
    margin-top: 20px;
    color: var(--green);
    }



.container {
    max-width: 900px;
    margin: auto;
    padding: 5px;
}
details {
    margin-top: 0px;
    background: rgba(255,255,255,0.03);
    padding: 5px;
    border-radius: 10px;
}
.entravaux {
    font-family: Webdings;
    font-size: 60px;
    font-size-adjust: cap-height;
    color: var(--cyan);
    align-items: center;
}


.fileButton {
    background: linear-gradient( 145deg, #38bdf8, #1a1f33 );
    color: white;
    border: none;
    border-radius: 8px;
    padding: 10px 18px;
    margin-right: 10px;
    cursor: pointer;
}

footer {
    display: flex;
    text-align: center;
    justify-content: center;
    color: #64748b;
    gap: 50px;
    align-items: center;
    margin-bottom:10px;
}
h2 {
    margin-top: 0;
    color: #38bdf8;
}

h1 {
    gap: 10px;
}

header {
    color: #41c9f6;
    text-align: center;
    padding: 20px 20px;
}
    header img {
        position: absolute;
        width: 250px;
        top: 20px;
        right: 20px;
        margin-bottom: 0px;
        z-index: 1000;
    }

important {
    color: darkorange;
    font-weight: bold;
}

.logo {
    margin-bottom: 0px;
    margin-top: 0px;
    position: absolute;
    top: 20px;
    right: 20px;
    width: 200px;
    height: auto;
    z-index: 1000;
    opacity: 0.9;
    transition: 0.1s;
    filter: drop-shadow(0 0 5px rgba(56,189,248,0.3));
}
    .logo:hover {
        cursor: pointer ;
        transform: scale(1.);
        opacity: 0.75;
    }
.logo-gauche {
    margin-bottom: 0px;
    margin-top: 0px;
    position: absolute;
    top: 20px;
    left: 20px;
    width: 250px;
    height: auto;
    z-index: 1000;
    opacity: 0.9;
    transition: 0.1s;
    filter: drop-shadow(0 0 5px rgba(56,189,248,0.3));
}

.section {
    max-width: 900px;
    background: #1e293b;
    margin-left: 20px 0;
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 10px;
    border-radius: 12px;
}

.section-schéma {
    max-width: 900px;
    background: #1e293b;
    margin-left: 0px;
    margin-top: 10px;
    margin-bottom: 30px;
    border-radius: 12px;
    margin-inline: 20px;
    padding: 10px;
    gap: 40px;
}
    .subtitle {
        font-size: 1.3em;
        color: var(--green);
        margin-top: 10px;
        text-align: center;
    }



pre {
    width: fit-content;
    max-width: 100%;
    margin: 5px;
    background: #020617;
    padding: 10px;
    border-radius: 8px;
    overflow-x: auto;
    color: #38bdf8;
}


#output {
    width: fit-content;
    max-width: 100%;
    background: #0f172a;
    padding: 10px;
    border-radius: 10px;
    white-space: pre;
    margin-top: 10px;
    color: #22c55e;
    text-align: left;
    font-family: monospace;
}
#code {
    width: fit-content;
    max-width: 100%;
    height: fit-content;
    max-height: 100%;
    background: #0f172a;
    color: var(--cyan);
    padding: 10px;
    border-radius: 10px;
    white-space: pre;
    text-align: left;
    font-family: monospace;
}
    #dynamic-text {
        text-align: center;
        font-size: 1.2em;
        margin-top: 20px;
        color: #cbd5e1;
    }

    .cellule {
        display: inline-flex;
        border: 2px solid #38bdf8;
        border-radius: 6px;
        margin: 6px;
    }

    .case {
        width: 40px;
        height: 35px;
        min-width: 40px;
        min-height: 35px;
        max-width: 40px;
        max-height: 35px;
        font-size: 12px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        background: #0f172a;
        color: white;
        font-family: monospace;
        overflow: visible
    }

    .tete {
        border-right: 2px solid #38bdf8;
    }

    .atome-zone {
        display: flex;
        align-items: center;
        gap: 03px;
        margin: 0px;
    }

    .instruction {
        display: flex;
        align-items: center;
        gap: 60px;
        margin: 0px;
    }

    .structure-complete {
        display: flex;
        flex-direction: column;
        gap: 20px;
        margin: 40px;
    }

    .chaine-nom {
        display: flex;
        gap: 00px;
        margin-left: 20px;
        flex-wrap: nowrap;
    }

    .zone-pointeur {
        display: flex;
        align-items: center;
        margin: 00px;
        width ="3";
        height ="40";

        .pointeur-svg {
            overflow: visible;
        }
    }

    summary {
        color: var(--green);
        cursor: pointer;
        font-weight: bold;
    }



    table {
        width: 100%;
        border-collapse: collapse;
        margin-top: 25px;
    }

    th, td {
        border: 1px solid #334155;
        padding: 14px;
        text-align: left;
    }

    th {
        background: #0f172a;
        color: #38bdf8;
    }

    tr:nth-child(even) {
        background: rgba(255,255,255,0.03);
    }

    .warning {
        border-left: 4px solid #facc15;
        padding-left: 20px;
        margin-top: 20px;
    }

   

    